/*
* Copyright (C) 2020 - 2022 SG Wireless Limited - All Rights Reserved
*
* Unauthorized copying of this file, via any medium is strictly prohibited
* Proprietary and confidential
*
*/
/**
* @file ch376.h
* @brief 
*/
#ifndef CH376_H
#define CH376_H
#ifdef __cplusplus
extern "C" {
#endif
/***********************************************Include***********************************************/
#include "CH376INC.h"
/***********************************Global Definitions and Declarations*******************************/
/***********************************Constant / Macro Definitions**************************************/
/*******************************************Type Declarations*****************************************/
typedef enum{
    CH376_SUCCEED,
    CH376_FAILED,
    CH376_HARDWARE_ERROR,
    CH376_SPI_BUSY,
    CH376_SPI_ERROR
}ch376_err_t;
/******************************************Function Declarations**************************************/
void ch376_init(void);
void ch376_task(void * pvParams );
/******************************************Variable Declarations**************************************/

#ifdef __cplusplus
extern "C" }
#endif
#endif  /*ch376.h*/